Subject: Re: [PATCH 1/3] add USB setup code for 8349emds PB

From: Arnd Bergmann <[email-masked]>
Date: Wed, 7 Feb 2007 11:02:21 +0100

On Wednesday 07 February 2007 10:16, Li Yang-r58472 wrote:
> Do you mean to create an of_plarform_driver here just to do the platform
> initialization? =A0The true USB driver can only takes platform_device as
> it is used by multiple architectures.
> btw: We don't access the mmio address of the device here. =A0We just need
> to read some property from the device tree.

The usb host controllers already come with an abstraction layer, e.g. there
is ehci-fsl.c, ehci-au1xxx.c and some more. All powerpc bases systems that
have the host controller on a local bus instead of PCI should use a common
driver for that, I believe one has already been posted some time ago,
but I'm not entirely sure about that.

As mentioned by Kumar Gala, we should eventually migrate over the users
of ehci-fsl to a new ehci-of, but getting rid of ehci-fsl means removing
all its users in arch/ppc first.

	Arnd <><